IntegrationsShopify

Get one collection by ID or handle including smart-collection rules.

POST
/integrations/connections/{connection_id}/providers/shopify/collections/get

Get one collection by ID or handle including smart-collection rules.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/shopify/collections/get" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "example",  "handle": "example",  "title": "Approve supplier payment",  "description": "example",  "products_count": 0,  "sort_order": "example",  "is_smart": false,  "rule_set": {    "applied_disjunctively": false,    "rules": []  },  "image_url": "example",  "updated_at": "example"}